Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616533 - Create task queue
Create task queue
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: web UI (Show other bugs)
0.5
All Linux
low Severity medium (vote)
: 0.6.14
: ---
Assigned To: Raymond Mancy
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-07-20 13:55 EDT by Bill Peck
Modified: 2015-05-04 00:18 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-10-04 01:07:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bill Peck 2010-07-20 13:55:24 EDT
Description of problem:

 We need a general task based operation to do long running operations.

 Examples of long running tasks are:

- Power cycling a machine
- Cancelling a job

Anything that may take a long time which needs to be issued from the webUI or the command line.
Comment 1 Kevin Baker 2010-07-20 14:11:09 EDT
The UI's (web, cmdline etc) also need to be able to query to see if another task is in ahead of it. For example if someone has power cycled a machine then the UI should reflect it's current status (power cycle in progress). The UI should not permit the user to do stupid things.
Comment 2 Raymond Mancy 2010-08-05 21:15:12 EDT
Bill, how much of a problem is this causing at the moment?
Comment 3 Bill Peck 2010-08-06 11:06:34 EDT
Its not critical but it would be nice to have.  I think its something that will take a while and need to be reviewed by everyone as well.
Comment 4 Dan Callaghan 2012-10-04 01:07:47 EDT
We have the per-system command queue for this now.

Note You need to log in before you can comment on or make changes to this bug.